Package com.sas.lsaf.content.repository

## Class RepositoryFileVersionInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.RepositoryFileVersionInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class RepositoryFileVersionInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the repository metadata information about a specific version of a file that is stored in the repository.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryFileVersionInfo​(java.lang.String id, java.lang.String name, java.lang.String comment, java.lang.String createdBy, java.util.Date created, long size, boolean latest, boolean signed)` | Deprecated.
    `RepositoryFileVersionInfo​(java.lang.String id, java.lang.String name, java.lang.String comment, java.lang.String createdBy, java.util.Date created, long size, boolean latest, boolean signed, java.lang.String digest)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getComment()` | Gets the version comment, if one was specified when the version was created.
    `java.util.Date` | `getCreated()` | Gets the date on which the version was created.
    `java.lang.String` | `getCreatedBy()` | Gets the user who created the version.
    `java.lang.String` | `getDigest()` | Gets the digest value of the file based on the MD5 algorithm.
    `java.lang.String` | `getId()` | Gets the unique identifier for the version.
    `java.lang.String` | `getName()` | Gets the version name.
    `long` | `getSize()` | Gets the size (in bytes) of the version.
    `int` | `hashCode()` |
    `boolean` | `isLatest()` | Indicate whether the version is the latest version of the versioned file.
    `boolean` | `isSigned()` | Indicates whether the version contains any electronic signatures.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryFileVersionInfo

          public RepositoryFileVersionInfo​(java.lang.String id,
                                           java.lang.String name,
                                           java.lang.String comment,
                                           java.lang.String createdBy,
                                           java.util.Date created,
                                           long size,
                                           boolean latest,
                                           boolean signed,
                                           java.lang.String digest)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the repository file version information objects returned by the API.
      Parameters:
        `id` - The unique identifier for the version.
        `name` - The version name. This is what is typically used to identify versions in the API.
        `comment` - The comment, if one was specified when the version was created.
        `createdBy` - The user who created the version.
        `created` - The date on which the version was created.
        `size` - The size (in bytes) of the version.
        `latest` - Indicates whether the version is currently the latest version of the versioned file.
        `signed` - Indicates whether the version contains electronic signatures.
        `digest` - The digest value of the file based on the MD5 algorithm.

    - #### RepositoryFileVersionInfo

          @Deprecated
          public RepositoryFileVersionInfo​(java.lang.String id,
                                           java.lang.String name,
                                           java.lang.String comment,
                                           java.lang.String createdBy,
                                           java.util.Date created,
                                           long size,
                                           boolean latest,
                                           boolean signed)

      Deprecated.
      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the repository file version information objects returned by the API.
      Parameters:
        `id` - The unique identifier for the version.
        `name` - The version name. This is what is typically used to identify versions in the API.
        `comment` - The comment, if one was specified when the version was created.
        `createdBy` - The user who created the version.
        `created` - The date on which the version was created.
        `size` - The size (in bytes) of the version.
        `latest` - Indicates whether the version is currently the latest version of the versioned file.
        `signed` - Indicates whether the version contains electronic signatures.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier for the version.
      Returns:
        The unique identifier for the version.

    - #### getName

          public java.lang.String getName()

      Gets the version name. This is typically used when identifying versions in the API.
      Returns:
        The version name. This is typically used when identifying versions in the API.

    - #### getComment

          public java.lang.String getComment()

      Gets the version comment, if one was specified when the version was created.
      Returns:
        The comment, if one was specified when the version was created.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the user who created the version.
      Returns:
        The user who created the version.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the version was created.
      Returns:
        The date on which the version was created.

    - #### getSize

          public long getSize()

      Gets the size (in bytes) of the version.
      Returns:
        The size (in bytes) of the version.

    - #### isLatest

          public boolean isLatest()

      Indicate whether the version is the latest version of the versioned file.
      Returns:
        `true` if the version is the latest version of the file, `false` otherwise.

    - #### isSigned

          public boolean isSigned()

      Indicates whether the version contains any electronic signatures.
      Returns:
        `true` if the version contains any electronic signatures, `false` otherwise.

    - #### getDigest

          public java.lang.String getDigest()

      Gets the digest value of the file based on the MD5 algorithm.

      See `RepositoryFile.getDigest()` for sample java code to create an MD5 digest value from a local file.

      Returns:
        The digest value of the file based on the MD5 algorithm.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`